TDESVN(1)

NAME
tdesvn - A Subversion client for TDE (standalone application)

SYNOPSIS
tdesvn [Qt-options] [TDE-options] [options] exec <command> [URL]

DESCRIPTION
A Subversion client for TDE (standalone application)

OPTIONS

  Arguments:

  exec
<command>            Execute subversion command ("exec help" for more information, opens TDE Help Center)

URL Path to local working copy or a repository.

  Options:

-r startrev
    [:endrev] Execute single subversion command on specific revision(-range)

-R  Ask for revision when executing single command

-o <file>
    Save output of subversion command (eg "cat") into file <file>

-l <number>
    Limit log output to <number>

  Generic options:

  --help
Show help about options

--help-qt
    Show Qt specific options

--help-tde
    Show TDE specific options

--help-all
    Show all options

--author
    Show author information

-v, --version
    Show version information

--license
    Show license information

--  End of options

  TDE options:

  --caption <caption>
Use 'caption' as name in the titlebar

--icon <icon>
    Use 'icon' as the application icon

--miniicon <icon>
    Use 'icon' as the icon in the titlebar

--config <filename>
    Use alternative configuration file

--dcopserver <server>
    Use the DCOP Server specified by 'server'

--nocrashhandler
    Disable crash handler, to get core dumps

--waitforwm
    Waits for a WM_NET compatible windowmanager

--style <style>
    sets the application GUI style

--geometry <geometry>
    sets the client geometry of the main widget - see man X for the argument format

  Qt options:

  --display <displayname>
Use the X-server display 'displayname'

--session <sessionId>
    Restore the application for the given 'sessionId'

--cmap
    Causes the application to install a private color map on an 8-bit display

--ncols <count>
    Limits the number of colors allocated in the color cube on an 8-bit display, if the application is using the QApplication::ManyColor color specification

--nograb
    tells Qt to never grab the mouse or the keyboard

--dograb
    running under a debugger can cause an implicit -nograb, use -dograb to override

--sync
    switches to synchronous mode for debugging

--fn, --font <fontname>
    defines the application font

--bg, --background <color>
    sets the default background color and an application palette (light and dark shades are calculated)

--fg, --foreground <color>
    sets the default foreground color

--btn, --button <color>
    sets the default button color

--name <name>
    sets the application name

--title <title>
    sets the application title (caption)

--visual TrueColor
    forces the application to use a TrueColor visual on an 8-bit display

--inputstyle <inputstyle>
    sets XIM (X Input Method) input style. Possible values are onthespot, overthespot, offthespot and root

--im <XIM server>
    set XIM server

--noxim
    disable XIM

--reverse
    mirrors the whole layout of widgets

EXAMPLE

  tdesvn file:///path/to/local/working/copy
tdesvn http://remote/svn/project/trunk

SEE ALSO
Full user documentation is available through the TDE Help Center. You can also enter the URL help:/tdesvn/ directly into konqueror or you can run `khelpcenter help:/tdesvn/' from the command-line.

AUTHORS
Rajko Albrecht <ral@alwins-world.de>